gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.IMContextSimple

Contents

- Exported types
- Methods
  - addComposeFile
  - new

Description

Supports compose sequences, dead keys and numeric Unicode input.

## Compose sequences

`GtkIMContextSimple` reads compose sequences from the first of the following files that is found: ~/.config/gtk-4.0/Compose, ~/.XCompose, /usr/share/X11/locale/$locale/Compose (for locales that have a nontrivial Compose file). A subset of the file syntax described in the Compose(5) manual page is supported. Additionally, `include "%L"` loads GTK’s built-in table of compose sequences rather than the locale-specific one from X11.

If none of these files is found, `GtkIMContextSimple` uses a built-in table of compose sequences that is derived from the X11 Compose files.

Note that compose sequences typically start with the Compose_key, which is often not available as a dedicated key on keyboards. Keyboard layouts may map this keysym to other keys, such as the right Control key.

## Unicode characters

`GtkIMContextSimple` also supports numeric entry of Unicode characters by typing <kbd>Ctrl</kbd>-<kbd>Shift</kbd>-<kbd>u</kbd>, followed by a hexadecimal Unicode codepoint.

For example,

Ctrl-Shift-u 1 2 3 Enter

yields U+0123 LATIN SMALL LETTER G WITH CEDILLA, i.e. ģ.

## Dead keys

`GtkIMContextSimple` supports dead keys. For example, typing

dead_acute a

yields U+00E! LATIN SMALL LETTER_A WITH ACUTE, i.e. á. Note that this depends on the keyboard layout including dead keys.

Synopsis

- newtype IMContextSimple = IMContextSimple (ManagedPtr IMContextSimple)
- class (GObject o, IsDescendantOf IMContextSimple o) => IsIMContextSimple o
- toIMContextSimple :: (MonadIO m, IsIMContextSimple o) => o -> m IMContextSimple
- iMContextSimpleAddComposeFile :: (HasCallStack, MonadIO m, IsIMContextSimple a) => a -> Text -> m ()
- iMContextSimpleNew :: (HasCallStack, MonadIO m) => m IMContextSimple

# Exported types

newtype IMContextSimple Source #

Memory-managed wrapper type.

Constructors

IMContextSimple (ManagedPtr IMContextSimple) |

#### Instances

Instances details

Eq IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple Methods (==) :: IMContextSimple -> IMContextSimple -> Bool Source # (/=) :: IMContextSimple -> IMContextSimple -> Bool Source #
GObject IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple
ManagedPtrNewtype IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple Methods toManagedPtr :: IMContextSimple -> ManagedPtr IMContextSimple Source #
TypedObject IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple Methods glibType :: IO GType Source #
HasParentTypes IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple
IsGValue (Maybe IMContextSimple) Source # | Convert `IMContextSimple` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.IMContextSimple Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe IMContextSimple -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe IMContextSimple) Source #
type ParentTypes IMContextSimple Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple type ParentTypes IMContextSimple = '[IMContext, Object]

class (GObject o, IsDescendantOf IMContextSimple o) => IsIMContextSimple o Source #

Type class for types which can be safely cast to `IMContextSimple`, for instance with `toIMContextSimple`.

#### Instances

Instances details

(GObject o, IsDescendantOf IMContextSimple o) => IsIMContextSimple o Source # |
Instance details Defined in GI.Gtk.Objects.IMContextSimple

toIMContextSimple :: (MonadIO m, IsIMContextSimple o) => o -> m IMContextSimple Source #

Cast to `IMContextSimple`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activateOsk, addComposeFile, bindProperty, bindPropertyFull, deleteSurrounding, filterKey, filterKeypress, focusIn, focusOut, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, reset, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getPreeditString, getProperty, getQdata, getSurrounding, getSurroundingWithSelection.

#### Setters

setClientWidget, setCursorLocation, setData, setDataFull, setProperty, setSurrounding, setSurroundingWithSelection, setUsePreedit.

## addComposeFile

iMContextSimpleAddComposeFile Source #

Arguments

:: (HasCallStack, MonadIO m, IsIMContextSimple a) |
=> a | `contextSimple`: A `GtkIMContextSimple`
-> Text | `composeFile`: The path of compose file
-> m () |

Adds an additional table from the X11 compose file.

## new

iMContextSimpleNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m IMContextSimple | Returns: a new `GtkIMContextSimple`

Creates a new `GtkIMContextSimple`.